# HOW TO USE:
# 1. Run "/scoreboard players set min pressure <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max pressure <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:pressure" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "pressure"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out pressure")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=weathersetup] run scoreboard objectives add pressure dummy
execute unless entity @e[tag=weathersetup] run scoreboard players set min pressure 5
execute unless entity @e[tag=weathersetup] run scoreboard players set max pressure 66
execute unless entity @e[tag=weathersetup] run summon area_effect_cloud ~ ~ ~ {Tags:["pressurebase"],Duration:1}
execute unless entity @e[tag=weathersetup] run execute store result score num pressure run data get entity @e[type=area_effect_cloud,limit=1,tag=pressurebase] UUID[0]
execute unless entity @e[tag=weathersetup] run scoreboard players set a pressure 48141429
execute unless entity @e[tag=weathersetup] run scoreboard players set b pressure 4819982
execute unless entity @e[tag=weathersetup] run scoreboard players set m pressure 924866

# Prepare to use a minimum different from 0
scoreboard players operation trueMax pressure = max pressure
scoreboard players operation trueMax pressure -= min pressure
scoreboard players add trueMax pressure 1

# Modify output
scoreboard players operation num pressure *= a pressure
scoreboard players operation num pressure += b pressure
scoreboard players operation out pressure = num pressure
scoreboard players operation out pressure %= m pressure
scoreboard players operation out pressure %= trueMax pressure
scoreboard players operation out pressure += min pressure

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"pressure"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function atmospheric:weather/pressure 600s
execute if score out pressure matches 29 run scoreboard players set press weather 80
execute if score out pressure matches 30 run scoreboard players set press weather 80
execute if score out pressure matches 31 run scoreboard players set press weather 90
execute if score out pressure matches 32 run scoreboard players set press weather 90
execute if score out pressure matches 33 run scoreboard players set press weather 100
execute if score out pressure matches 34 run scoreboard players set press weather 100
execute if score out pressure matches 35 run scoreboard players set press weather 110
execute if score out pressure matches 36 run scoreboard players set press weather 110
execute if score out pressure matches 5 run scoreboard players set press weather 5
execute if score out pressure matches 6 run scoreboard players set press weather 5
execute if score out pressure matches 7 run scoreboard players set press weather 6
execute if score out pressure matches 8 run scoreboard players set press weather 6
execute if score out pressure matches 9 run scoreboard players set press weather 7
execute if score out pressure matches 10 run scoreboard players set press weather 7
execute if score out pressure matches 11 run scoreboard players set press weather 8
execute if score out pressure matches 12 run scoreboard players set press weather 8
execute if score out pressure matches 13 run scoreboard players set press weather 9
execute if score out pressure matches 14 run scoreboard players set press weather 9
execute if score out pressure matches 15 run scoreboard players set press weather 10
execute if score out pressure matches 16 run scoreboard players set press weather 10
execute if score out pressure matches 17 run scoreboard players set press weather 20
execute if score out pressure matches 18 run scoreboard players set press weather 20
execute if score out pressure matches 19 run scoreboard players set press weather 30
execute if score out pressure matches 20 run scoreboard players set press weather 30
execute if score out pressure matches 21 run scoreboard players set press weather 40
execute if score out pressure matches 25 run scoreboard players set press weather 40
execute if score out pressure matches 22 run scoreboard players set press weather 50
execute if score out pressure matches 26 run scoreboard players set press weather 50
execute if score out pressure matches 23 run scoreboard players set press weather 60
execute if score out pressure matches 27 run scoreboard players set press weather 60
execute if score out pressure matches 24 run scoreboard players set press weather 70
execute if score out pressure matches 28 run scoreboard players set press weather 70
execute if score out pressure matches 29 run scoreboard players set press weather -80
execute if score out pressure matches 30 run scoreboard players set press weather -80
execute if score out pressure matches 37 run scoreboard players set press weather -90
execute if score out pressure matches 38 run scoreboard players set press weather -90
execute if score out pressure matches 39 run scoreboard players set press weather -100
execute if score out pressure matches 40 run scoreboard players set press weather -100
execute if score out pressure matches 41 run scoreboard players set press weather -110
execute if score out pressure matches 42 run scoreboard players set press weather -110
execute if score out pressure matches 43 run scoreboard players set press weather -5
execute if score out pressure matches 44 run scoreboard players set press weather -5
execute if score out pressure matches 45 run scoreboard players set press weather -6
execute if score out pressure matches 46 run scoreboard players set press weather -6
execute if score out pressure matches 47 run scoreboard players set press weather -7
execute if score out pressure matches 48 run scoreboard players set press weather -7
execute if score out pressure matches 49 run scoreboard players set press weather -8
execute if score out pressure matches 50 run scoreboard players set press weather -8
execute if score out pressure matches 51 run scoreboard players set press weather -9
execute if score out pressure matches 52 run scoreboard players set press weather -9
execute if score out pressure matches 53 run scoreboard players set press weather -10
execute if score out pressure matches 54 run scoreboard players set press weather -10
execute if score out pressure matches 55 run scoreboard players set press weather -20
execute if score out pressure matches 56 run scoreboard players set press weather -20
execute if score out pressure matches 57 run scoreboard players set press weather -30
execute if score out pressure matches 58 run scoreboard players set press weather -30
execute if score out pressure matches 59 run scoreboard players set press weather -40
execute if score out pressure matches 60 run scoreboard players set press weather -40
execute if score out pressure matches 61 run scoreboard players set press weather -50
execute if score out pressure matches 62 run scoreboard players set press weather 50
execute if score out pressure matches 63 run scoreboard players set press weather -60
execute if score out pressure matches 64 run scoreboard players set press weather -60
execute if score out pressure matches 65 run scoreboard players set press weather -70
execute if score out pressure matches 66 run scoreboard players set press weather -70