# HOW TO USE:
# 1. Run "/scoreboard players set min wind <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max wind <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:wind" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "wind"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out wind")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=weathersetup] run scoreboard objectives add wind dummy
execute unless entity @e[tag=weathersetup] run scoreboard players set min wind 11
execute unless entity @e[tag=weathersetup] run scoreboard players set max wind 31
execute unless entity @e[tag=weathersetup] run summon area_effect_cloud ~ ~ ~ {Tags:["windbase"],Duration:1}
execute unless entity @e[tag=weathersetup] run execute store result score num wind run data get entity @e[type=area_effect_cloud,limit=1,tag=windbase] UUID[0]
execute unless entity @e[tag=weathersetup] run scoreboard players set a wind 48141429
execute unless entity @e[tag=weathersetup] run scoreboard players set b wind 4819982
execute unless entity @e[tag=weathersetup] run scoreboard players set m wind 924866

# Prepare to use a minimum different from 0
scoreboard players operation trueMax wind = max wind
scoreboard players operation trueMax wind -= min wind
scoreboard players add trueMax wind 1

# Modify output
scoreboard players operation num wind *= a wind
scoreboard players operation num wind += b wind
scoreboard players operation out wind = num wind
scoreboard players operation out wind %= m wind
scoreboard players operation out wind %= trueMax wind
scoreboard players operation out wind += min wind

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"wind"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function atmospheric:weather/windspeed 600s
execute if score out wind matches 11 run scoreboard players set wind weather 6
execute if score out wind matches 12 run scoreboard players set wind weather 6
execute if score out wind matches 13 run scoreboard players set wind weather 7
execute if score out wind matches 14 run scoreboard players set wind weather 7
execute if score out wind matches 15 run scoreboard players set wind weather 8
execute if score out wind matches 16 run scoreboard players set wind weather 8
execute if score out wind matches 17 run scoreboard players set wind weather 9
execute if score out wind matches 18 run scoreboard players set wind weather 9
execute if score out wind matches 19 run scoreboard players set wind weather 10
execute if score out wind matches 20 run scoreboard players set wind weather 10
execute if score out wind matches 21 run scoreboard players set wind weather 15
execute if score out wind matches 22 run scoreboard players set wind weather 20
execute if score out wind matches 23 run scoreboard players set wind weather 25
execute if score out wind matches 24 run scoreboard players set wind weather 30
execute if score out wind matches 25 run scoreboard players set wind weather 35
execute if score out wind matches 26 run scoreboard players set wind weather 40
execute if score out wind matches 27 run scoreboard players set wind weather 45
execute if score out wind matches 28 run scoreboard players set wind weather 50
execute if score out wind matches 29 run scoreboard players set wind weather 55
execute if score out wind matches 30 run scoreboard players set wind weather 60
execute if score out wind matches 31 run scoreboard players set wind weather 65